Club Delphi  
    FTP   CCD     Buscar   Trucos   Trabajo   Foros

Retroceder   Foros Club Delphi > Principal > Desarrollo en Delphi para Android
Registrarse FAQ Miembros Calendario Guía de estilo Buscar Temas de Hoy Marcar Foros Como Leídos


Respuesta
 
Herramientas Buscar en Tema Desplegado
  #1  
Antiguo Hace 1 Semana
Fossy Fossy is offline
Miembro
 
Registrado: feb 2006
Posts: 63
Poder: 14
Fossy Va por buen camino
SDK 28 no funciona con android 9

Buenas tardes compañeros:

En esta semana he compilado una App cuyo manifest es el siguiente:

uses-sdk android:minSdkVersion="19" android:targetSdkVersion="28"

He compilado bajo el SDK 28.0.3, y App testada con un dispositivo Android 7.

El caso es que tras subirla a Play Store, funciona perfectamente con todos los dispositivos menos con los que tienen Android 9. Lo que hace en este caso es que se cierra tras la Splash Screen.

Google Play me reporta que la App está teniendo el siguiente fallo (en Android 9):

java.lang.ClassNotFoundException:

El problema es que de Java estoy un poco frito. No sé si con eso de "lang" se refiere a algo del idioma, y en cuyo caso, cómo solucionarlo en Delphi (Firemonkey).

¿Alguien ha tenido un problema similar, o sabe qué hay que cambiar para que las Apps funcionen correctamente en Android 9?.

Muchas gracias. Pongo en el post que es urgente porque realmente tengo muchísima necesidad de dejarlo solucionado hoy. Esta tarde hay un evento y mucha gente no puede usar mi App.

Muchísimas gracias a todos.
Responder Con Cita
  #2  
Antiguo Hace 1 Semana
Avatar de Casimiro Notevi
Casimiro Notevi Casimiro Notevi is offline
Moderador
 
Registrado: sep 2004
Ubicación: En algún lugar.
Posts: 29.047
Poder: 10
Casimiro Notevi Tiene un aura espectacularCasimiro Notevi Tiene un aura espectacular
Creo haber leído que todavía no se debería usar sdk 28

Para otra vez, pon un título más descriptivo, por favor, gracias.
Porque con "Por favor Urgente" consigues justo todo lo contrario, que pase totalmente desapercibido y se pierda para siempre, ya que nadie va a buscar "por favor urgente" para solucionar ningún problema.
Responder Con Cita
  #3  
Antiguo Hace 1 Semana
Fossy Fossy is offline
Miembro
 
Registrado: feb 2006
Posts: 63
Poder: 14
Fossy Va por buen camino
Gracias Casimiro, probaré con la 26.

No veo opciones de edición para editar el título. Si puedes por favor cámbialo.

Muchas gracias.
Responder Con Cita
  #4  
Antiguo Hace 1 Semana
DamianG DamianG is offline
Miembro
 
Registrado: mar 2008
Posts: 81
Poder: 12
DamianG Va por buen camino
Hola, pudiste solucionar este tema?, me pasa exactamente los mismo


En android tools tengo tildado:


Android Sdk tools 25.2.5
Android Sdl Buid-tools 28.0.2
Android 8 api 26 sdk platform


gracias!
Responder Con Cita
  #5  
Antiguo Hace 1 Semana
DamianG DamianG is offline
Miembro
 
Registrado: mar 2008
Posts: 81
Poder: 12
DamianG Va por buen camino
Por ahora logre que funcione cambiando AndroidManifest.template.xml dentro de la carpeta del proyecto,

cambie:

android:targetSdkVersion="%targetSdkVersion%"

por

android:targetSdkVersion="26".

Por defecto le asigna en la version 10.3.1: "28", en la version 10.3 anterior le asignaba: "26".


Ahora el tema es que con la version 28 en los dispositivos con android 9 no funciona.

Anteriormente probé agregando solicitud de permisos de lectura / escritura de archivos por guardo archivo temporal en el telefono y tampoco funciono,

se cierra despues del splash screen.

Quisiera saber si hay solución ya que en agosto google pide el cambia a sdk28.


Gracias y saludos
Responder Con Cita
Respuesta


Herramientas Buscar en Tema
Buscar en Tema:

Búsqueda Avanzada
Desplegado

Normas de Publicación
no Puedes crear nuevos temas
no Puedes responder a temas
no Puedes adjuntar archivos
no Puedes editar tus mensajes

El código vB está habilitado
Las caritas están habilitado
Código [IMG] está habilitado
Código HTML está deshabilitado
Saltar a Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
sobre Android SDK Manager y diferentes versiones de Android cocute Desarrollo en Delphi para Android 2 29-11-2017 21:24:00
Delphi XE10 en Android 5 no funciona Vlady FireMonkey 1 24-12-2015 08:38:24
apk no funciona en android 2.2.3 kurono Desarrollo en Delphi para Android 9 14-03-2015 23:45:21
esta function no me funciona en XE2 y si funciona en D6 darkbits Varios 1 06-11-2012 17:00:45
funciona bien en windows 7 64b pero en XP no funciona ASAPLTDA Varios 5 06-05-2011 16:24:50


La franja horaria es GMT +2. Ahora son las 14:54:06.


Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Traducción al castellano por el equipo de moderadores del Club Delphi
Copyright 1996-2007 Club Delphi